com.verisign.epp.codec.gen

## Class EPPRenewCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPRenewCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    EPPDefRegRenewCmd, EPPDomainRenewCmd, EPPEmailFwdRenewCmd, EPPNameWatchRenewCmd

      public abstract class EPPRenewCmd
      extends EPPCommand

  The EPP <renew> command is used to extend the validity period of an existing object. The elements needed to identify and extend the validity period of an object are object-specific, so the child elements of the <renew> command are specified using the EPP extension framework. In addition to the standard EPP command elements, the <renew> command SHALL contain the following child elements: An object-specific <obj:renew> element that identifies the object to be renewed and the elements that are required to extend the validity period of the object.
  `EPPRenewCmd` is an abtract EPP command class that represents a renew operation. A command mapping renew command extends `EPPRenewCmd`. For example, `EPPDomainRenewCmd` is a `EPPRenewCmd` that implements the Domain Renew Command Mapping.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRenewCmd()` Default constructor for `EPPRenewCmd`.
    `EPPRenewCmd(java.lang.String aTransId)` `EPPRenewCmd` that takes all required attributes as arguments.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doDecode(org.w3c.dom.Element aElement)` Must be defined by `EPPRenewCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree.
    `protected abstract org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Must be defined by `EPPRenewCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree.
    `protected void` | `doGenDecode(org.w3c.dom.Element aElement)` Decodes the `EPPRenewCmd` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doGenEncode(org.w3c.dom.Document aDocument)` Encodes a DOM Element tree from the attributes of the `EPPRenewCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compares an instance of `EPPRenewCmd` with this instance.
    `java.lang.String` | `getType()` Gets the EPP command type associated with `EPPRenewCmd`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, clone, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getNamespace, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRenewCmd

          public EPPRenewCmd()

      Default constructor for `EPPRenewCmd`.

    - #### EPPRenewCmd

          public EPPRenewCmd(java.lang.String aTransId)

      `EPPRenewCmd` that takes all required attributes as arguments. This will call the super `EPPCommand(String)` method to set the transaction id for the command.
      Parameters:
        `aTransId` - Transaction Id associated with command.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPRenewCmd`.
      Specified by:
        `getType` in class `EPPCommand`
      Returns:
        EPPCommand.TYPE_RENEW

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compares an instance of `EPPRenewCmd` with this instance.
      Overrides:
        `equals` in class `EPPCommand`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### doGenEncode

          protected org.w3c.dom.Element doGenEncode(org.w3c.dom.Document aDocument)
                                             throws EPPEncodeException

      Encodes a DOM Element tree from the attributes of the `EPPRenewCmd` instance. This method is a member of the Template Design Pattern. `EPPCommand.encode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Specified by:
        `doGenEncode` in class `EPPCommand`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRenewCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRenewCmd` instance.

    - #### doGenDecode

          protected void doGenDecode(org.w3c.dom.Element aElement)
                              throws EPPDecodeException

      Decodes the `EPPRenewCmd` attributes from the `aElement` DOM Element tree. This method is a member of the Template Design Pattern. `EPPCommand.decode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Specified by:
        `doGenDecode` in class `EPPCommand`
      Parameters:
        `aElement` - - Root DOM Element to decode `EPPRenewCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### doEncode

          protected abstract org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                                   throws EPPEncodeException

      Must be defined by `EPPRenewCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree. `doGenEncode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the EPPRenewCmd extension instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPRenewCmd extension instance.

    - #### doDecode

          protected abstract void doDecode(org.w3c.dom.Element aElement)
                                    throws EPPDecodeException

      Must be defined by `EPPRenewCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree. `doGenDecode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.
      Parameters:
        `aElement` - Root DOM Element representing the `EPPRenewCmd` extension instance.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`.